<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.transactions">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="default-timeout,enable-statistics,enable-tsm-status,hornetq-store-enable-async-io,jdbc-action-store-drop-table,jdbc-action-store-table-prefix,jdbc-communication-store-drop-table,jdbc-communication-store-table-prefix,jdbc-state-store-drop-table,jdbc-state-store-table-prefix,jdbc-store-datasource,journal-store-enable-async-io,jts,maximum-timeout,node-identifier,object-store-path,object-store-relative-to,process-id-socket-binding,process-id-socket-max-ports,process-id-uuid,recovery-listener,socket-binding,stale-transaction-time,statistics-enabled,status-socket-binding,use-hornetq-store,use-jdbc-store,use-journal-store"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.transactions"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.transactions.xa-resource-recovery-registry"/>
        <capability name="$profile.org.wildfly.transactions.global-default-local-provider"/>
        <capability name="$profile.org.wildfly.transactions"/>
        <capability name="$profile.org.wildfly.transactions.transaction-synchronization-registry"/>
    </provides>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="extension" default="org.jboss.as.transactions"/>
        <param name="jdbc-store-datasource" nillable="true"/>
        <param name="enable-statistics" nillable="true"/>
        <param name="stale-transaction-time" nillable="true"/>
        <param name="subsystem" feature-id="true" default="transactions"/>
        <param name="jdbc-communication-store-drop-table" nillable="true"/>
        <param name="statistics-enabled" nillable="true"/>
        <param name="journal-store-enable-async-io" nillable="true"/>
        <param name="process-id-socket-max-ports" nillable="true"/>
        <param name="jdbc-state-store-drop-table" nillable="true"/>
        <param name="use-hornetq-store" nillable="true"/>
        <param name="default-timeout" nillable="true"/>
        <param name="jdbc-action-store-table-prefix" nillable="true"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="jdbc-action-store-drop-table" nillable="true"/>
        <param name="hornetq-store-enable-async-io" nillable="true"/>
        <param name="object-store-relative-to" nillable="true"/>
        <param name="process-id-uuid" nillable="true"/>
        <param name="maximum-timeout" nillable="true"/>
        <param name="use-journal-store" nillable="true"/>
        <param name="enable-tsm-status" nillable="true"/>
        <param name="node-identifier" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="jts" nillable="true"/>
        <param name="process-id-socket-binding" nillable="true"/>
        <param name="jdbc-communication-store-table-prefix" nillable="true"/>
        <param name="use-jdbc-store" nillable="true"/>
        <param name="jdbc-state-store-table-prefix" nillable="true"/>
        <param name="status-socket-binding"/>
        <param name="recovery-listener" nillable="true"/>
        <param name="socket-binding"/>
        <param name="object-store-path" nillable="true"/>
    </params>
    <packages>
        <package name="org.jboss.as.transactions"/>
    </packages>
</feature-spec>